#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'deletedialogbase.ui'
**
** Created: Thu Feb 14 00:58:16 2019
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "deletedialogbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <tdelistbox.h>
#include <ntqcheckbox.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a DeleteDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
DeleteDialogBase::DeleteDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "DeleteDialogBase" );
    setMinimumSize( TQSize( 420, 320 ) );
    DeleteDialogBaseLayout = new TQVBoxLayout( this, 0, 6, "DeleteDialogBaseLayout"); 

    layout4 = new TQHBoxLayout( 0, 0, 6, "layout4"); 

    ddWarningIcon = new TQLabel( this, "ddWarningIcon" );
    ddWarningIcon->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)4, (TQSizePolicy::SizeType)4, 0, 0, ddWarningIcon->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( ddWarningIcon );

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    ddDeleteText = new TQLabel( this, "ddDeleteText" );
    ddDeleteText->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignCenter ) );
    layout3->addWidget( ddDeleteText );
    layout4->addLayout( layout3 );
    DeleteDialogBaseLayout->addLayout( layout4 );

    ddFileList = new TDEListBox( this, "ddFileList" );
    ddFileList->setSelectionMode( TDEListBox::NoSelection );
    DeleteDialogBaseLayout->addWidget( ddFileList );

    ddNumFiles = new TQLabel( this, "ddNumFiles" );
    ddNumFiles->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignRight ) );
    DeleteDialogBaseLayout->addWidget( ddNumFiles );

    ddShouldDelete = new TQCheckBox( this, "ddShouldDelete" );
    DeleteDialogBaseLayout->addWidget( ddShouldDelete );
    languageChange();
    resize( TQSize(542, 374).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( ddShouldDelete, SIGNAL( toggled(bool) ), this, SLOT( slotShouldDelete(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DeleteDialogBase::~DeleteDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DeleteDialogBase::languageChange()
{
    ddWarningIcon->setText( tr2i18n( "Icon Placeholder, not in GUI" ) );
    ddDeleteText->setText( tr2i18n( "Deletion method placeholder, never shown to user." ) );
    TQToolTip::add( ddFileList, tr2i18n( "List of files that are about to be deleted." ) );
    TQWhatsThis::add( ddFileList, tr2i18n( "This is the list of items that are about to be deleted." ) );
    ddNumFiles->setText( tr2i18n( "Placeholder for number of files, not in GUI" ) );
    ddShouldDelete->setText( tr2i18n( "&Delete files instead of moving them to the trash" ) );
    TQToolTip::add( ddShouldDelete, tr2i18n( "If checked, files will be permanently removed instead of being placed in the Trash Bin" ) );
    TQWhatsThis::add( ddShouldDelete, tr2i18n( "<qt><p>If this box is checked, files will be <b>permanently removed</b> instead of being placed in the Trash Bin.</p>\n"
"\n"
"<p><em>Use this option with caution</em>: Most filesystems are unable to reliably undelete deleted files.</p></qt>" ) );
}

void DeleteDialogBase::slotShouldDelete(bool)
{
    tqWarning( "DeleteDialogBase::slotShouldDelete(bool): Not implemented yet" );
}

/****************************************************************************
** DeleteDialogBase meta object code from reading C++ file 'deletedialogbase.h'
**
** Created: Thu Feb 14 00:58:16 2019
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "deletedialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *DeleteDialogBase::className() const
{
    return "DeleteDialogBase";
}

TQMetaObject *DeleteDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_DeleteDialogBase( "DeleteDialogBase", &DeleteDialogBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
TQString DeleteDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DeleteDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
TQString DeleteDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "DeleteDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

TQMetaObject* DeleteDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // QT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQUParameter param_slot_1[] = {
	{ 0, &static_QUType_bool, 0, TQUParameter::In }
    };
    static const TQUMethod slot_1 = {"slotShouldDelete", 1, param_slot_1 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected },
	{ "slotShouldDelete(bool)", &slot_1, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"DeleteDialogBase", parentObject,
	slot_tbl, 2,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DeleteDialogBase.setMetaObject( metaObj );
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // QT_THREAD_SUPPORT
    return metaObj;
}

void* DeleteDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DeleteDialogBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool DeleteDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: slotShouldDelete((bool)static_QUType_bool.get(_o+1)); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool DeleteDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DeleteDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool DeleteDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
