#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'scriptmanagerbase.ui'
**
** Created: Thu Feb 14 00:58:17 2019
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scriptmanagerbase.h"

#include <ntqvariant.h>
#include <kdialog.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqframe.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a ScriptManagerBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ScriptManagerBase::ScriptManagerBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "ScriptManagerBase" );
    ScriptManagerBaseLayout = new TQGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "ScriptManagerBaseLayout"); 

    listView = new TDEListView( this, "listView" );
    listView->addColumn( tr2i18n( "Scripts" ) );

    ScriptManagerBaseLayout->addMultiCellWidget( listView, 0, 8, 0, 0 );
    spacer2 = new TQSpacerItem( 20, 30, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    ScriptManagerBaseLayout->addItem( spacer2, 8, 1 );

    retrieveButton = new TQPushButton( this, "retrieveButton" );

    ScriptManagerBaseLayout->addWidget( retrieveButton, 0, 1 );

    installButton = new TQPushButton( this, "installButton" );

    ScriptManagerBaseLayout->addWidget( installButton, 1, 1 );

    line2_2 = new TQFrame( this, "line2_2" );
    line2_2->setFrameShape( TQFrame::HLine );
    line2_2->setFrameShadow( TQFrame::Sunken );
    line2_2->setFrameShape( TQFrame::HLine );

    ScriptManagerBaseLayout->addWidget( line2_2, 2, 1 );

    aboutButton = new TQPushButton( this, "aboutButton" );

    ScriptManagerBaseLayout->addWidget( aboutButton, 3, 1 );

    runButton = new TQPushButton( this, "runButton" );

    ScriptManagerBaseLayout->addWidget( runButton, 4, 1 );

    stopButton = new TQPushButton( this, "stopButton" );

    ScriptManagerBaseLayout->addWidget( stopButton, 5, 1 );

    configureButton = new TQPushButton( this, "configureButton" );

    ScriptManagerBaseLayout->addWidget( configureButton, 6, 1 );

    uninstallButton = new TQPushButton( this, "uninstallButton" );

    ScriptManagerBaseLayout->addWidget( uninstallButton, 7, 1 );
    languageChange();
    resize( TQSize(367, 237).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ScriptManagerBase::~ScriptManagerBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ScriptManagerBase::languageChange()
{
    setCaption( tr2i18n( "DirectoryListBase" ) );
    listView->header()->setLabel( 0, tr2i18n( "Scripts" ) );
    TQToolTip::add( listView, tr2i18n( "These scripts are currently known to Amarok." ) );
    retrieveButton->setText( tr2i18n( "&Get More Scripts" ) );
    installButton->setText( tr2i18n( "&Install Script" ) );
    aboutButton->setText( tr2i18n( "&About" ) );
    runButton->setText( tr2i18n( "&Run" ) );
    stopButton->setText( tr2i18n( "&Stop" ) );
    configureButton->setText( tr2i18n( "&Configure" ) );
    uninstallButton->setText( tr2i18n( "&Uninstall" ) );
}

/****************************************************************************
** ScriptManagerBase meta object code from reading C++ file 'scriptmanagerbase.h'
**
** Created: Thu Feb 14 00:58:17 2019
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "scriptmanagerbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *ScriptManagerBase::className() const
{
    return "ScriptManagerBase";
}

TQMetaObject *ScriptManagerBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_ScriptManagerBase( "ScriptManagerBase", &ScriptManagerBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
TQString ScriptManagerBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ScriptManagerBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
TQString ScriptManagerBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "ScriptManagerBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

TQMetaObject* ScriptManagerBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // QT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"ScriptManagerBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ScriptManagerBase.setMetaObject( metaObj );
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // QT_THREAD_SUPPORT
    return metaObj;
}

void* ScriptManagerBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ScriptManagerBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool ScriptManagerBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool ScriptManagerBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ScriptManagerBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool ScriptManagerBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
