#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'tagdialogbase.ui'
**
** Created: Thu Feb 14 00:58:17 2019
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tagdialogbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqcheckbox.h>
#include <ntqlabel.h>
#include <klineedit.h>
#include <ktabwidget.h>
#include <ntqwidget.h>
#include <ntqframe.h>
#include <kcombobox.h>
#include <knuminput.h>
#include <ktextedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>
#include <ntqimage.h>
#include <ntqpixmap.h>

#include "coverfetcher.h"
#include "tagdialogbase.ui.h"
/*
 *  Constructs a TagDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
TagDialogBase::TagDialogBase( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "TagDialogBase" );
    TagDialogBaseLayout = new TQGridLayout( this, 1, 1, 11, 6, "TagDialogBaseLayout"); 

    layout5_3 = new TQHBoxLayout( 0, 0, 6, "layout5_3"); 

    pushButton_previous = new TQPushButton( this, "pushButton_previous" );
    layout5_3->addWidget( pushButton_previous );

    pushButton_next = new TQPushButton( this, "pushButton_next" );
    layout5_3->addWidget( pushButton_next );

    checkBox_perTrack = new TQCheckBox( this, "checkBox_perTrack" );
    layout5_3->addWidget( checkBox_perTrack );
    spacer1 = new TQSpacerItem( 215, 30, TQSizePolicy::MinimumExpanding, TQSizePolicy::Minimum );
    layout5_3->addItem( spacer1 );

    pushButton_ok = new TQPushButton( this, "pushButton_ok" );
    pushButton_ok->setAutoDefault( TRUE );
    pushButton_ok->setDefault( TRUE );
    layout5_3->addWidget( pushButton_ok );

    pushButton_cancel = new TQPushButton( this, "pushButton_cancel" );
    pushButton_cancel->setAutoMask( FALSE );
    pushButton_cancel->setAutoDefault( TRUE );
    pushButton_cancel->setDefault( FALSE );
    pushButton_cancel->setFlat( FALSE );
    layout5_3->addWidget( pushButton_cancel );

    TagDialogBaseLayout->addLayout( layout5_3, 2, 0 );

    layout6 = new TQHBoxLayout( 0, 0, 6, "layout6"); 

    locationLabel = new TQLabel( this, "locationLabel" );
    layout6->addWidget( locationLabel );

    kLineEdit_location = new KLineEdit( this, "kLineEdit_location" );
    kLineEdit_location->setFocusPolicy( KLineEdit::StrongFocus );
    kLineEdit_location->setReadOnly( TRUE );
    kLineEdit_location->setEnableSqueezedText( TRUE );
    layout6->addWidget( kLineEdit_location );

    pushButton_open = new TQPushButton( this, "pushButton_open" );
    pushButton_open->setAutoDefault( FALSE );
    layout6->addWidget( pushButton_open );

    TagDialogBaseLayout->addLayout( layout6, 1, 0 );

    kTabWidget = new KTabWidget( this, "kTabWidget" );
    kTabWidget->setCurrentPage( 4 );

    summaryTab = new TQWidget( kTabWidget, "summaryTab" );
    summaryTabLayout = new TQGridLayout( summaryTab, 1, 1, 11, 6, "summaryTabLayout"); 

    pixmap_cover = new CoverLabel( summaryTab, "pixmap_cover" );
    pixmap_cover->setMinimumSize( TQSize( 100, 100 ) );
    pixmap_cover->setMaximumSize( TQSize( 85, 85 ) );

    summaryTabLayout->addWidget( pixmap_cover, 0, 0 );

    trackArtistAlbumLabel = new TQLabel( summaryTab, "trackArtistAlbumLabel" );
    trackArtistAlbumLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    summaryTabLayout->addWidget( trackArtistAlbumLabel, 0, 1 );

    line1 = new TQFrame( summaryTab, "line1" );
    line1->setFrameShape( TQFrame::HLine );
    line1->setFrameShadow( TQFrame::Sunken );
    line1->setFrameShape( TQFrame::HLine );

    summaryTabLayout->addMultiCellWidget( line1, 1, 1, 0, 1 );
    spacer12 = new TQSpacerItem( 21, 20, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    summaryTabLayout->addItem( spacer12, 3, 1 );

    summaryLabel = new TQLabel( summaryTab, "summaryLabel" );
    summaryLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );

    summaryTabLayout->addMultiCellWidget( summaryLabel, 2, 2, 0, 1 );

    tagsTab = new TQWidget( kTabWidget, "tagsTab" );
    tagsTabLayout = new TQGridLayout( tagsTab, 1, 1, 11, 6, "tagsTabLayout"); 

    textLabel1_2 = new TQLabel( tagsTab, "textLabel1_2" );

    tagsTabLayout->addWidget( textLabel1_2, 1, 0 );

    textLabel1 = new TQLabel( tagsTab, "textLabel1" );

    tagsTabLayout->addWidget( textLabel1, 0, 0 );

    textLabel1_6_6 = new TQLabel( tagsTab, "textLabel1_6_6" );
    textLabel1_6_6->setTextFormat( TQLabel::PlainText );

    tagsTabLayout->addWidget( textLabel1_6_6, 5, 0 );

    layout14 = new TQHBoxLayout( 0, 0, 6, "layout14"); 

    pushButton_guessTags = new TQPushButton( tagsTab, "pushButton_guessTags" );
    layout14->addWidget( pushButton_guessTags );

    pushButton_setFilenameSchemes = new TQPushButton( tagsTab, "pushButton_setFilenameSchemes" );
    pushButton_setFilenameSchemes->setAutoDefault( FALSE );
    layout14->addWidget( pushButton_setFilenameSchemes );

    tagsTabLayout->addLayout( layout14, 8, 1 );

    textLabel_comment = new TQLabel( tagsTab, "textLabel_comment" );
    textLabel_comment->setTextFormat( TQLabel::PlainText );

    tagsTabLayout->addWidget( textLabel_comment, 6, 0 );

    pushButton_musicbrainz = new TQPushButton( tagsTab, "pushButton_musicbrainz" );

    tagsTabLayout->addWidget( pushButton_musicbrainz, 7, 1 );

    textLabel1_4 = new TQLabel( tagsTab, "textLabel1_4" );

    tagsTabLayout->addWidget( textLabel1_4, 4, 0 );

    kComboBox_genre = new KComboBox( FALSE, tagsTab, "kComboBox_genre" );
    kComboBox_genre->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kComboBox_genre->sizePolicy().hasHeightForWidth() ) );
    kComboBox_genre->setEditable( TRUE );
    kComboBox_genre->setAutoCompletion( FALSE );

    tagsTabLayout->addWidget( kComboBox_genre, 4, 1 );

    kLineEdit_title = new KLineEdit( tagsTab, "kLineEdit_title" );

    tagsTabLayout->addWidget( kLineEdit_title, 0, 1 );

    layout5_2 = new TQHBoxLayout( 0, 0, 6, "layout5_2"); 

    kIntSpinBox_track = new KIntSpinBox( tagsTab, "kIntSpinBox_track" );
    kIntSpinBox_track->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kIntSpinBox_track->sizePolicy().hasHeightForWidth() ) );
    kIntSpinBox_track->setMaxValue( 3000 );
    kIntSpinBox_track->setValue( 0 );
    layout5_2->addWidget( kIntSpinBox_track );

    textLabel1_5 = new TQLabel( tagsTab, "textLabel1_5" );
    layout5_2->addWidget( textLabel1_5 );

    kIntSpinBox_year = new KIntSpinBox( tagsTab, "kIntSpinBox_year" );
    kIntSpinBox_year->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kIntSpinBox_year->sizePolicy().hasHeightForWidth() ) );
    kIntSpinBox_year->setMaxValue( 3000 );
    kIntSpinBox_year->setValue( 0 );
    layout5_2->addWidget( kIntSpinBox_year );

    tagsTabLayout->addLayout( layout5_2, 5, 1 );

    kTextEdit_comment = new KTextEdit( tagsTab, "kTextEdit_comment" );
    kTextEdit_comment->setTextFormat( KTextEdit::AutoText );
    kTextEdit_comment->setTabChangesFocus( TRUE );

    tagsTabLayout->addWidget( kTextEdit_comment, 6, 1 );

    textLabel1_3 = new TQLabel( tagsTab, "textLabel1_3" );

    tagsTabLayout->addWidget( textLabel1_3, 3, 0 );

    textLabel1_3_2 = new TQLabel( tagsTab, "textLabel1_3_2" );

    tagsTabLayout->addWidget( textLabel1_3_2, 2, 0 );

    layout11 = new TQHBoxLayout( 0, 0, 6, "layout11"); 

    kComboBox_album = new KComboBox( FALSE, tagsTab, "kComboBox_album" );
    kComboBox_album->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kComboBox_album->sizePolicy().hasHeightForWidth() ) );
    kComboBox_album->setEditable( TRUE );
    kComboBox_album->setAutoCompletion( FALSE );
    layout11->addWidget( kComboBox_album );

    textLabel1_3_2_2 = new TQLabel( tagsTab, "textLabel1_3_2_2" );
    layout11->addWidget( textLabel1_3_2_2 );

    kIntSpinBox_discNumber = new KIntSpinBox( tagsTab, "kIntSpinBox_discNumber" );
    kIntSpinBox_discNumber->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kIntSpinBox_discNumber->sizePolicy().hasHeightForWidth() ) );
    kIntSpinBox_discNumber->setMinimumSize( TQSize( 50, 0 ) );
    kIntSpinBox_discNumber->setMaximumSize( TQSize( 100, 32767 ) );
    kIntSpinBox_discNumber->setMaxValue( 3000 );
    kIntSpinBox_discNumber->setValue( 0 );
    layout11->addWidget( kIntSpinBox_discNumber );

    tagsTabLayout->addLayout( layout11, 3, 1 );

    kComboBox_composer = new KComboBox( FALSE, tagsTab, "kComboBox_composer" );
    kComboBox_composer->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kComboBox_composer->sizePolicy().hasHeightForWidth() ) );
    kComboBox_composer->setEditable( TRUE );

    tagsTabLayout->addWidget( kComboBox_composer, 2, 1 );

    kComboBox_artist = new KComboBox( FALSE, tagsTab, "kComboBox_artist" );
    kComboBox_artist->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kComboBox_artist->sizePolicy().hasHeightForWidth() ) );
    kComboBox_artist->setEditable( TRUE );
    kComboBox_artist->setAutoCompletion( FALSE );

    tagsTabLayout->addWidget( kComboBox_artist, 1, 1 );

    lyricsTab = new TQWidget( kTabWidget, "lyricsTab" );
    lyricsTabLayout = new TQHBoxLayout( lyricsTab, 11, 6, "lyricsTabLayout"); 

    kTextEdit_lyrics = new KTextEdit( lyricsTab, "kTextEdit_lyrics" );
    kTextEdit_lyrics->setTextFormat( KTextEdit::PlainText );
    kTextEdit_lyrics->setTabChangesFocus( TRUE );
    lyricsTabLayout->addWidget( kTextEdit_lyrics );

    statisticsTab = new TQWidget( kTabWidget, "statisticsTab" );
    statisticsTabLayout = new TQGridLayout( statisticsTab, 1, 1, 11, 6, "statisticsTabLayout"); 

    trackArtistAlbumLabel2 = new TQLabel( statisticsTab, "trackArtistAlbumLabel2" );
    trackArtistAlbumLabel2->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignVCenter ) );

    statisticsTabLayout->addWidget( trackArtistAlbumLabel2, 0, 0 );
    spacer3_2 = new TQSpacerItem( 20, 200, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    statisticsTabLayout->addItem( spacer3_2, 4, 2 );

    statisticsLabel = new TQLabel( statisticsTab, "statisticsLabel" );
    statisticsLabel->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );

    statisticsTabLayout->addMultiCellWidget( statisticsLabel, 3, 3, 0, 2 );
    spacer5 = new TQSpacerItem( 431, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    statisticsTabLayout->addItem( spacer5, 2, 0 );

    scoreLabel = new TQLabel( statisticsTab, "scoreLabel" );

    statisticsTabLayout->addWidget( scoreLabel, 0, 1 );

    ratingLabel = new TQLabel( statisticsTab, "ratingLabel" );

    statisticsTabLayout->addWidget( ratingLabel, 1, 1 );

    kIntSpinBox_score = new KIntSpinBox( statisticsTab, "kIntSpinBox_score" );
    kIntSpinBox_score->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)0, 0, 0, kIntSpinBox_score->sizePolicy().hasHeightForWidth() ) );
    kIntSpinBox_score->setMaxValue( 100 );
    kIntSpinBox_score->setValue( 0 );

    statisticsTabLayout->addWidget( kIntSpinBox_score, 0, 2 );

    kComboBox_rating = new KComboBox( FALSE, statisticsTab, "kComboBox_rating" );
    kComboBox_rating->setSizeLimit( 11 );

    statisticsTabLayout->addWidget( kComboBox_rating, 1, 2 );

    labelsTab = new TQWidget( kTabWidget, "labelsTab" );
    labelsTabLayout = new TQVBoxLayout( labelsTab, 11, 6, "labelsTabLayout"); 

    labels_favouriteLabels = new TQLabel( labelsTab, "labels_favouriteLabels" );
    labelsTabLayout->addWidget( labels_favouriteLabels );

    labels_favouriteLabelsFrame = new TQWidget( labelsTab, "labels_favouriteLabelsFrame" );
    labels_favouriteLabelsFrame->setMinimumSize( TQSize( 0, 120 ) );
    labelsTabLayout->addWidget( labels_favouriteLabelsFrame );

    labels_explanation = new TQLabel( labelsTab, "labels_explanation" );
    TQFont labels_explanation_font(  labels_explanation->font() );
    labels_explanation->setFont( labels_explanation_font ); 
    labelsTabLayout->addWidget( labels_explanation );

    kTextEdit_selectedLabels = new KTextEdit( labelsTab, "kTextEdit_selectedLabels" );
    labelsTabLayout->addWidget( kTextEdit_selectedLabels );

    TagDialogBaseLayout->addWidget( kTabWidget, 0, 0 );
    languageChange();
    resize( TQSize(741, 527).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( kTabWidget, kLineEdit_title );
    setTabOrder( kLineEdit_title, kComboBox_artist );
    setTabOrder( kComboBox_artist, kComboBox_composer );
    setTabOrder( kComboBox_composer, kComboBox_album );
    setTabOrder( kComboBox_album, kIntSpinBox_discNumber );
    setTabOrder( kIntSpinBox_discNumber, kComboBox_genre );
    setTabOrder( kComboBox_genre, kIntSpinBox_track );
    setTabOrder( kIntSpinBox_track, kIntSpinBox_year );
    setTabOrder( kIntSpinBox_year, kTextEdit_comment );
    setTabOrder( kTextEdit_comment, pushButton_musicbrainz );
    setTabOrder( pushButton_musicbrainz, pushButton_guessTags );
    setTabOrder( pushButton_guessTags, pushButton_setFilenameSchemes );
    setTabOrder( pushButton_setFilenameSchemes, kTextEdit_lyrics );
    setTabOrder( kTextEdit_lyrics, kIntSpinBox_score );
    setTabOrder( kIntSpinBox_score, kComboBox_rating );
    setTabOrder( kComboBox_rating, kLineEdit_location );
    setTabOrder( kLineEdit_location, pushButton_open );
    setTabOrder( pushButton_open, pushButton_previous );
    setTabOrder( pushButton_previous, pushButton_next );
    setTabOrder( pushButton_next, checkBox_perTrack );
    setTabOrder( checkBox_perTrack, pushButton_ok );
    setTabOrder( pushButton_ok, pushButton_cancel );

    // buddies
    textLabel1_2->setBuddy( kComboBox_artist );
    textLabel1->setBuddy( kLineEdit_title );
    textLabel1_6_6->setBuddy( kIntSpinBox_track );
    textLabel_comment->setBuddy( kTextEdit_comment );
    textLabel1_4->setBuddy( kComboBox_genre );
    textLabel1_5->setBuddy( kIntSpinBox_year );
    textLabel1_3->setBuddy( kComboBox_album );
    textLabel1_3_2->setBuddy( kComboBox_composer );
    textLabel1_3_2_2->setBuddy( kIntSpinBox_discNumber );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TagDialogBase::~TagDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TagDialogBase::languageChange()
{
    setCaption( tr2i18n( "Track Information" ) );
    pushButton_previous->setText( tr2i18n( "&Previous" ) );
    pushButton_next->setText( tr2i18n( "&Next" ) );
    checkBox_perTrack->setText( tr2i18n( "Per Trac&k" ) );
    pushButton_ok->setText( tr2i18n( "Sa&ve && Close" ) );
    pushButton_cancel->setText( tr2i18n( "&Cancel" ) );
    locationLabel->setText( tr2i18n( "Location:" ) );
    pushButton_open->setText( TQString::null );
    trackArtistAlbumLabel->setText( tr2i18n( "Track by Artist on Album" ) );
    summaryLabel->setText( TQString::null );
    textLabel1_2->setText( tr2i18n( "&Artist:" ) );
    textLabel1->setText( tr2i18n( "T&itle:" ) );
    textLabel1_6_6->setText( tr2i18n( "Trac&k:" ) );
    pushButton_guessTags->setText( tr2i18n( "Guess Tags From &Filename" ) );
    pushButton_setFilenameSchemes->setText( tr2i18n( "Filename &Schemes" ) );
    textLabel_comment->setText( tr2i18n( "Co&mment:" ) );
    pushButton_musicbrainz->setText( tr2i18n( "Fill-In Tags Using MusicBrain&z" ) );
    textLabel1_4->setText( tr2i18n( "&Genre:" ) );
    kIntSpinBox_track->setSpecialValueText( TQString::null );
    textLabel1_5->setText( tr2i18n( "&Year:" ) );
    kIntSpinBox_year->setSpecialValueText( TQString::null );
    kTextEdit_comment->setText( TQString::null );
    textLabel1_3->setText( tr2i18n( "Al&bum:" ) );
    textLabel1_3_2->setText( tr2i18n( "&Composer:" ) );
    textLabel1_3_2_2->setText( tr2i18n( "&Disc Number:" ) );
    kIntSpinBox_discNumber->setSpecialValueText( TQString::null );
    kTextEdit_lyrics->setText( TQString::null );
    trackArtistAlbumLabel2->setText( tr2i18n( "Track by Artist on Album" ) );
    statisticsLabel->setText( TQString::null );
    scoreLabel->setText( tr2i18n( "Score:" ) );
    ratingLabel->setText( tr2i18n( "Rating:" ) );
    kIntSpinBox_score->setSpecialValueText( TQString::null );
    labels_favouriteLabels->setText( tr2i18n( "Your favorite labels:" ) );
    labels_explanation->setText( tr2i18n( "Edit the assigned labels below (multiple labels are separated by commas), or select a label from above." ) );
}

/****************************************************************************
** TagDialogBase meta object code from reading C++ file 'tagdialogbase.h'
**
** Created: Thu Feb 14 00:58:17 2019
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "tagdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *TagDialogBase::className() const
{
    return "TagDialogBase";
}

TQMetaObject *TagDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_TagDialogBase( "TagDialogBase", &TagDialogBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
TQString TagDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TagDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
TQString TagDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TagDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

TQMetaObject* TagDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // QT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"TagDialogBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TagDialogBase.setMetaObject( metaObj );
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // QT_THREAD_SUPPORT
    return metaObj;
}

void* TagDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TagDialogBase" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool TagDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool TagDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TagDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool TagDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
