#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'addhostbase.ui'
**
** Created: Thu Feb 14 00:59:36 2019
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addhostbase.h"

#include <ntqvariant.h>
#include <ntqlabel.h>
#include <kactivelabel.h>
#include <klineedit.h>
#include <knuminput.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a AddHostBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AddHostBase::AddHostBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "AddHostBase" );
    AddHostBaseLayout = new TQVBoxLayout( this, 0, 6, "AddHostBaseLayout"); 

    layout4 = new TQGridLayout( 0, 1, 1, 0, 6, "layout4"); 

    m_downloadPixmap = new TQLabel( this, "m_downloadPixmap" );
    m_downloadPixmap->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, m_downloadPixmap->sizePolicy().hasHeightForWidth() ) );
    m_downloadPixmap->setMinimumSize( TQSize( 64, 64 ) );

    layout4->addWidget( m_downloadPixmap, 0, 0 );

    kActiveLabel1 = new KActiveLabel( this, "kActiveLabel1" );
    kActiveLabel1->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, kActiveLabel1->sizePolicy().hasHeightForWidth() ) );

    layout4->addMultiCellWidget( kActiveLabel1, 0, 1, 1, 1 );
    spacer2 = new TQSpacerItem( 20, 130, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout4->addItem( spacer2, 1, 0 );
    AddHostBaseLayout->addLayout( layout4 );

    layout5 = new TQHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel2 = new TQLabel( this, "textLabel2" );
    layout5->addWidget( textLabel2 );

    m_hostName = new KLineEdit( this, "m_hostName" );
    layout5->addWidget( m_hostName );
    spacer2_2 = new TQSpacerItem( 30, 20, TQSizePolicy::Fixed, TQSizePolicy::Minimum );
    layout5->addItem( spacer2_2 );

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout5->addWidget( textLabel1 );

    m_portInput = new KIntNumInput( this, "m_portInput" );
    m_portInput->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)1, (TQSizePolicy::SizeType)0, 0, 0, m_portInput->sizePolicy().hasHeightForWidth() ) );
    m_portInput->setValue( 3689 );
    m_portInput->setMinValue( 1 );
    m_portInput->setMaxValue( 65536 );
    layout5->addWidget( m_portInput );
    AddHostBaseLayout->addLayout( layout5 );
    languageChange();
    resize( TQSize(503, 187).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddHostBase::~AddHostBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddHostBase::languageChange()
{
    setCaption( tr2i18n( "Add Computer" ) );
    m_downloadPixmap->setText( TQString::null );
    kActiveLabel1->setText( tr2i18n( "Amarok can browse music on computers sharing their music via programs such as <a href=\"http://www.fireflymediaserver.org/\">Firefly Media Server</a>, Banshee or iTunes.\n"
"\n"
"<p>Enter the hostname or IP address of the computer you want to connect to.\n"
"\n"
"<p>Examples:\n"
"<blockquote><strong>mymusic.homelinux.org\n"
"<br>192.168.1.21</strong></blockquote>" ) );
    textLabel2->setText( tr2i18n( "Enter host:" ) );
    textLabel1->setText( tr2i18n( "Port:" ) );
    m_portInput->setLabel( TQString::null );
}

/****************************************************************************
** AddHostBase meta object code from reading C++ file 'addhostbase.h'
**
** Created: Thu Feb 14 00:59:36 2019
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "addhostbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *AddHostBase::className() const
{
    return "AddHostBase";
}

TQMetaObject *AddHostBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_AddHostBase( "AddHostBase", &AddHostBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
TQString AddHostBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AddHostBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
TQString AddHostBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "AddHostBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

TQMetaObject* AddHostBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // QT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"AddHostBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AddHostBase.setMetaObject( metaObj );
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // QT_THREAD_SUPPORT
    return metaObj;
}

void* AddHostBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AddHostBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool AddHostBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool AddHostBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AddHostBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool AddHostBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
