#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'trackpickerdialogbase.ui'
**
** Created: Thu Feb 14 00:58:17 2019
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "trackpickerdialogbase.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqgroupbox.h>
#include <ntqlabel.h>
#include <tdelistview.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a TrackPickerDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TrackPickerDialogBase::TrackPickerDialogBase( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "trackPickerDialogBase" );
    trackPickerDialogBaseLayout = new TQVBoxLayout( this, 11, 6, "trackPickerDialogBaseLayout"); 

    fileLayout = new TQHBoxLayout( 0, 0, 6, "fileLayout"); 

    fileInfoGroup = new TQGroupBox( this, "fileInfoGroup" );
    fileInfoGroup->setAlignment( int( TQGroupBox::AlignTop ) );
    fileInfoGroup->setColumnLayout(0, TQt::Vertical );
    fileInfoGroup->layout()->setSpacing( 6 );
    fileInfoGroup->layout()->setMargin( 11 );
    fileInfoGroupLayout = new TQHBoxLayout( fileInfoGroup->layout() );
    fileInfoGroupLayout->setAlignment( TQt::AlignTop );

    fileLabel = new TQLabel( fileInfoGroup, "fileLabel" );
    TQFont fileLabel_font(  fileLabel->font() );
    fileLabel_font.setBold( TRUE );
    fileLabel->setFont( fileLabel_font ); 
    fileLabel->setAlignment( int( TQLabel::AlignVCenter | TQLabel::AlignLeft ) );
    fileLabel->setIndent( 9 );
    fileInfoGroupLayout->addWidget( fileLabel );
    fileLayout->addWidget( fileInfoGroup );
    trackPickerDialogBaseLayout->addLayout( fileLayout );

    trackLayout = new TQHBoxLayout( 0, 0, 6, "trackLayout"); 

    trackInfoGroup = new TQGroupBox( this, "trackInfoGroup" );
    trackInfoGroup->setAlignment( int( TQGroupBox::AlignTop ) );
    trackInfoGroup->setColumnLayout(0, TQt::Vertical );
    trackInfoGroup->layout()->setSpacing( 6 );
    trackInfoGroup->layout()->setMargin( 11 );
    trackInfoGroupLayout = new TQVBoxLayout( trackInfoGroup->layout() );
    trackInfoGroupLayout->setAlignment( TQt::AlignTop );

    trackList = new TDEListView( trackInfoGroup, "trackList" );
    trackList->addColumn( tr2i18n( "Title" ) );
    trackList->header()->setResizeEnabled( FALSE, trackList->header()->count() - 1 );
    trackList->addColumn( tr2i18n( "Artist" ) );
    trackList->header()->setResizeEnabled( FALSE, trackList->header()->count() - 1 );
    trackList->addColumn( tr2i18n( "Album" ) );
    trackList->header()->setResizeEnabled( FALSE, trackList->header()->count() - 1 );
    trackList->addColumn( tr2i18n( "Track" ) );
    trackList->addColumn( tr2i18n( "Year" ) );
    trackList->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)7, 0, 0, trackList->sizePolicy().hasHeightForWidth() ) );
    trackList->setAllColumnsShowFocus( TRUE );
    trackList->setItemMargin( 1 );
    trackList->setResizeMode( TDEListView::LastColumn );
    trackList->setFullWidth( FALSE );
    trackInfoGroupLayout->addWidget( trackList );
    trackLayout->addWidget( trackInfoGroup );
    trackPickerDialogBaseLayout->addLayout( trackLayout );
    languageChange();
    resize( TQSize(556, 310).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
TrackPickerDialogBase::~TrackPickerDialogBase()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TrackPickerDialogBase::languageChange()
{
    setCaption( tr2i18n( "trackPickerDialogBase" ) );
    fileInfoGroup->setTitle( tr2i18n( "File Name" ) );
    fileLabel->setText( TQString::null );
    trackInfoGroup->setTitle( tr2i18n( "Select Best Possible Match" ) );
    trackList->header()->setLabel( 0, tr2i18n( "Title" ) );
    trackList->header()->setLabel( 1, tr2i18n( "Artist" ) );
    trackList->header()->setLabel( 2, tr2i18n( "Album" ) );
    trackList->header()->setLabel( 3, tr2i18n( "Track" ) );
    trackList->header()->setLabel( 4, tr2i18n( "Year" ) );
}

/****************************************************************************
** TrackPickerDialogBase meta object code from reading C++ file 'trackpickerdialogbase.h'
**
** Created: Thu Feb 14 00:58:17 2019
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "trackpickerdialogbase.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *TrackPickerDialogBase::className() const
{
    return "TrackPickerDialogBase";
}

TQMetaObject *TrackPickerDialogBase::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_TrackPickerDialogBase( "TrackPickerDialogBase", &TrackPickerDialogBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
TQString TrackPickerDialogBase::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TrackPickerDialogBase", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
TQString TrackPickerDialogBase::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "TrackPickerDialogBase", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

TQMetaObject* TrackPickerDialogBase::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // QT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQWidget::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"TrackPickerDialogBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TrackPickerDialogBase.setMetaObject( metaObj );
#ifdef QT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // QT_THREAD_SUPPORT
    return metaObj;
}

void* TrackPickerDialogBase::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TrackPickerDialogBase" ) )
	return this;
    return TQWidget::tqt_cast( clname );
}

bool TrackPickerDialogBase::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQWidget::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool TrackPickerDialogBase::tqt_emit( int _id, TQUObject* _o )
{
    return TQWidget::tqt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TrackPickerDialogBase::tqt_property( int id, int f, TQVariant* v)
{
    return TQWidget::tqt_property( id, f, v);
}

bool TrackPickerDialogBase::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
